Bug 59926 - FILESAVE breaks Edit Password Protection
Summary: FILESAVE breaks Edit Password Protection
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 92801 (view as bug list)
Depends on:
Blocks: Writer-Comments
  Show dependency treegraph
 
Reported: 2013-01-27 09:36 UTC by Rainer Bielefeld Retired
Modified: 2021-08-01 05:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (46.78 KB, application/vnd.oasis.opendocument.text)
2013-01-27 09:36 UTC, Rainer Bielefeld Retired
Details
protected document (12.82 KB, application/vnd.oasis.opendocument.text)
2021-07-31 09:51 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-27 09:36:01 UTC
Created attachment 73721 [details]
Sample Document

Steps how to reproduce  with server installation of  "Version 4.1.0.0.alpha0+ (Build ID: 2823789bec0c029d9714aff0ed65923e23177ef) TinderBox: Win-x86@6, Branch:master, Pull Time: 2823789bec0c029d9714aff0ed65923e23177ef" ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with LO41 Masters User Profile:

1. open attahched sample document
   > You can't edit
   > When You click icon "Edit File" in Standard Toolbar you will be asked for
     Password
2. Save document under new name
   Expected: PW protection for edits persists
   Actual: Document editable

To be honest, I am not sure whether I understand this PW protection correctly. Help tells very general: "Undoing password protection: To remove a password, open the document, then save without password."

So the observed behavior might be intended, but such a function would be completely useless. When I decide that nobody should be able to edit a document except people who know the PW, it's not acceptable that that protection can be bypassed so easily. There seems no real difference to "Open write Protection", the current PW Edit protection seems rather useless to me.

Already the same with LibO 3.3.3, I think this never worked as I expect.
Comment 1 Jorendc 2013-02-06 15:12:26 UTC
I can confirm this behavior using Linux Mint 14 x64 with LibreOffice 4.0.0.3 rc3 and LibreOffice Version 4.1.0.0.alpha0+ (Build ID: 1a3c90a292c7fc9060604151de9dc51eecf5b6a).
Comment 2 bugquestcontri 2014-01-09 12:19:10 UTC
I also can confirm this behavior on XP/SP3 using LibO Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
Comment 3 Joel Madero 2015-05-02 15:41:46 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-20 13:59:21 UTC
Still repro.

Of course we can unzip the .odt file and view the xml contents, so pwd protection is not "real" security ie. the file is not encrypted.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 Buovjaga 2015-07-29 19:20:13 UTC
*** Bug 92801 has been marked as a duplicate of this bug. ***
Comment 6 QA Administrators 2016-09-20 10:21:23 UTC Comment hidden (obsolete)
Comment 7 Óvári 2016-09-21 10:45:21 UTC
(In reply to QA Administrators from comment #6)

Still reproducible.

Version: 5.1.4.2
Build ID: 1:5.1.4-0ubuntu1
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default
Comment 8 QA Administrators 2018-04-27 02:30:44 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2020-04-27 03:41:27 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug
Comment 10 BogdanB 2021-07-31 09:51:19 UTC
Created attachment 173991 [details]
protected document

In order to save with password protection go to File - Save as  and check Save with Password. No one could acces your data without your password. I will attach a new document. Please try to open and read it.


Version: 7.1.5.2 / LibreOffice Community
Build ID: 85f04e9f809797b8199d13c421bd8a2b025d52b5
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 11 Buovjaga 2021-08-01 05:36:26 UTC
(In reply to BogdanB from comment #10)
> Created attachment 173991 [details]
> protected document
> 
> In order to save with password protection go to File - Save as  and check
> Save with Password. No one could acces your data without your password. I
> will attach a new document. Please try to open and read it.

The problem is seen only with attachment 73721 [details]. I guess there was some different protection scheme earlier. Not sure if it is worth keeping this open.